Package Gnumed :: Package wxpython :: Package gui :: Module gmDrugDisplay :: Class DrugDisplay |
[frames] | no frames]

# Class DrugDisplay

source code

    wx.Panel --+
               |
              DrugDisplay

displays drug information in a convenience widget

Instance Methods
__init__(self, parent, id, pos=wxDefaultPosition, size=wxDefaultSize, style=wx.TAB_TRAVERSAL) | source code
GuiElements_Init(self) | source code
OnDrugChoiceDblClick(self, event) handle double clicks in list of drugs / substances. | source code
GetDrugIssue(self) | source code
OnBookmark(self, event) | source code
ToggleWidget(self) Swaps listctrl to HTML viewer widget and vice versa. | source code
Drug_Find(self) | source code
Display_Generic(self, aId) Find all brand products that contain a certain generic substance and ... | source code
BuildListCtrl(self, aDataDict=None, dtype=None) Sets all the ListCtrl widget to display the items found in a database search. | source code
Display_PI(self, aId=None) Shows product information on a drug specified by aID. | source code
TransferDataToWindow(self) | source code
TransferDataFromWindow(self) | source code
OnPrint(self, event) If product info is available, print it. | source code
OnDisplay(self, event) Redisplay product info. | source code
OnPrescribe(self, event) | source code
OnJumpToDblClick(self, event) | source code
OnJumpToSelected(self, event) Jump to product info section selected by double-clicking a line in jumpbox. | source code
OnSearchByIndication(self, event) | source code
OnSearchByGeneric(self, event) | source code
OnSearchByBrand(self, event) | source code
OnSearchByAny(self, event) | source code
OnProductKeyPressed(self, event) | source code
OnProductSelected(self, event) | source code
OnOk(self, event) | source code
OnCancel(self, event) | source code
ClearInfo(self) clears the search result list and jumpbox when query mode changed. | source code

Class Variables
| NoDrugFoundMessageHTML = `"<HTML><HEAD></HEAD><BODY BGCOLOR='#F`...``
| WelcomeMessageHTML = `"<HTML><HEAD></HEAD><BODY BGCOLOR='#FFFFF`...``

Method Details

### Display_Generic(self, aId) | source code
            Find all brand products that contain a certain generic substance and
    display them

### BuildListCtrl(self, aDataDict=None, dtype=None) | source code
Sets all the ListCtrl widget to display the items found in a database search. The DataDict must at least have the keys 'id' and 'name', all additional columns will be displayed in alphabetical order. Column names will be derived from key names.

Class Variable Details

  ### NoDrugFoundMessageHTML Value:
      "<HTML><HEAD></HEAD><BODY BGCOLOR='#FFFFFF8'> <FONT SIZE=3>"+ _("No ma
      tching drug found.")+ "</FONT></BODY></HTML>"

  ### WelcomeMessageHTML Value:
      "<HTML><HEAD></HEAD><BODY BGCOLOR='#FFFFFF8'> <FONT SIZE=3>"+ _("Pleas
      e enter at least three digits of the drug name.")+ "</FONT></BODY></HT
      ML>"